.TH shmed L "March 7, 1991" "WU Cosmic Ray Lab"
.SH NAME
shmed - simple shell form editor
.SH USAGE
.nf
shmed [-pbc] [-f formfile] -o outfile
-p			perl output	(default)
-b			Bourne shell output
-c			csh output
-f file		form template file (default stdin)
-o file		name of output file (no default)
.SH DIAGNOSTICS
shmed returns non-zero if there are startup
problems or if it is interrupted, else 0.
.SH FILES
Format of the form template file
.RS
Normal text lines are printed as they appear.
Editable lines should begin with a '.' (dot), and
contain 2 or 3 fields separated by a '~' (tilde).
.RS
1st field: label to be printed in the editor.
.br
2nd field: name of variable to assign the value to
.br
3rd field: (optional) default value for variable
.RE
.RE
.RS
Output file
.RS
The output file contains a bunch of variable assignments
in the language you selected (perl, sh, or csh). It should
be do'd, .'d, or source'd after shmed is run.
.RE
.SH AUTHOR
.nf
Marty Olevitch
Physics Dept.
Washington University
St. Louis, MO 63130

marty@wuphys.wustl.edu

March, 1991
